package models

type CardRequest struct {
	Cards  []Card `json:"card"`
	Locale string `json:"locale" enums:"en,de"`
}

type Card struct {
	ID      int    `json:"id"`
	Enabled bool   `json:"enabled"`
	Runner  Runner `json:"runner"`
	Code    string `json:"code"`
}

type CardTemplateOptions struct {
	Cards         []Card `json:"cards"`
	EventName     string `json:"event_name"`
	CardSubtitle  string `json:"card_subtitle"`
	BarcodeFormat string `json:"barcode_format"`
	BarcodePrefix string `json:"barcode_prefix"`
}
